Debian Bug report logs - #448890
bioperl recommends packages not in main

version graph

Package: bioperl; Maintainer for bioperl is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>; Source for bioperl is src:bioperl.

Reported by: Luk Claes <luk@debian.org>

Date: Thu, 1 Nov 2007 16:54:02 UTC

Severity: serious

Found in version bioperl/1.5.2.102-1

Fixed in version bioperl/1.5.2.102-3

Done: Charles Plessy <charles-debian-nospam@plessy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#448890; Package bioperl. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: submit@bugs.debian.org
Subject: bioperl recommends packages not in main
Date: Thu, 01 Nov 2007 17:52:33 +0100
Package: bioperl
Version: 1.5.2.102-1
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-recommends

Hi

bioperl recommends libconvert-binary-c-perl, libclass-autoclass-perl,
libace-perl, libdata-stag-xmlwriter-perl and
libpostscript-textblock-perl which all cannot be satisfied in main.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#448890; Package bioperl. Full text and rfc822 format available.

Acknowledgement sent to charles-debian-nospam@plessy.org:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 448890@bugs.debian.org (full text, mbox):

From: Charles Plessy <charles-debian-nospam@plessy.org>
To: Luk Claes <luk@debian.org>, 448890@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#448890: bioperl recommends packages not in main
Date: Sat, 3 Nov 2007 15:05:05 +0900
Le Thu, Nov 01, 2007 at 05:52:33PM +0100, Luk Claes a écrit :
> Package: bioperl
> Version: 1.5.2.102-1
> Severity: important
> User: debian-release@lists.debian.org
> Usertags: goal-recommends
> 
> bioperl recommends libconvert-binary-c-perl, libclass-autoclass-perl,
> libace-perl, libdata-stag-xmlwriter-perl and
> libpostscript-textblock-perl which all cannot be satisfied in main.

Thanks for the bug report, Luk. We indeed decided to upload bioperl
before the above libraries are packaged, because they are not pivotal,
and intended to open a bug to avoid transition to Lenny in the meantime.

Of course, packaging all the missing CPAN modules before the release in
on our agenda.

Have a nice day,

-- 
Charles Plessy
http://charles.plessy.org
Wako, Saitama, Japan




Severity set to `serious' from `important' Request was from Charles Plessy <charles-debian-nospam@plessy.org> to control@bugs.debian.org. (Sat, 03 Nov 2007 07:54:01 GMT) Full text and rfc822 format available.

Severity set to `serious' from `serious' Request was from Charles Plessy <charles-debian-nospam@plessy.org> to control@bugs.debian.org. (Sat, 03 Nov 2007 07:54:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#448890; Package bioperl. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #19 received at 448890@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: charles-debian-nospam@plessy.org, 448890@bugs.debian.org
Cc: Luk Claes <luk@debian.org>, control@bugs.debian.org
Subject: Re: Bug#448890: [Debian-med-packaging] Bug#448890: bioperl recommends packages not in main
Date: Fri, 29 Feb 2008 03:46:08 +0100
[Message part 1 (text/plain, inline)]
severity 448890 important
thanks

This is a release goal.

Charles Plessy <charles-debian-nospam@plessy.org> (03/11/2007):
> Of course, packaging all the missing CPAN modules before the release
> in on our agenda.

Any update on this?

-- 
Cyril Brulebois
[signature.asc (application/pgp-signature, inline)]

Severity set to `important' from `serious' Request was from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to control@bugs.debian.org. (Fri, 29 Feb 2008 02:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#448890; Package bioperl. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <charles-debian-nospam@plessy.org>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #26 received at 448890@bugs.debian.org (full text, mbox):

From: Charles Plessy <charles-debian-nospam@plessy.org>
To: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
Cc: 448890@bugs.debian.org, Luk Claes <luk@debian.org>, control@bugs.debian.org
Subject: Re: Bug#448890: [Debian-med-packaging] Bug#448890: bioperl recommends packages not in main
Date: Fri, 29 Feb 2008 12:10:23 +0900
severity 448890 serious
thanks

Le Fri, Feb 29, 2008 at 03:46:08AM +0100, Cyril Brulebois a écrit :
> severity 448890 important
> thanks
> 
> This is a release goal.
> 
> Charles Plessy <charles-debian-nospam@plessy.org> (03/11/2007):
> > Of course, packaging all the missing CPAN modules before the release
> > in on our agenda.
> 
> Any update on this?

Progress has been made (thanks David !), but there are still a few CPAN
modules to package. We definitely want this before the freeze.

Sorry for the severity ping-pong, but we do not want the package in
testing yet. Do not hesitate to correct me if I use the wrong way to
prevent the migration.

Bioperl version 1.5.2 is supposed to be a development version. It became
a de facto stable version with time, and some tools will only work with
this and not with 1.4. Unfortunately, it is possible that some other
tools will only work with 1.4 and not with 1.5.2. Upstream is
considering releasing a stable 1.6 version, so I would like to postpone
decisions on this issue a few weeks. In any case, I would prefer that
this package stays in unstable until we finish to provide the
appropriate CPAN modules.

Bonne nuit ;)

-- 
Charles Plessy
http://charles.plessy.org
Wakō, Saitama, Japan




Severity set to `serious' from `important' Request was from Charles Plessy <charles-debian-nospam@plessy.org> to control@bugs.debian.org. (Fri, 29 Feb 2008 03:12:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#448890; Package bioperl. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #33 received at 448890@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Charles Plessy <charles-debian-nospam@plessy.org>
Cc: 448890@bugs.debian.org, Luk Claes <luk@debian.org>
Subject: Re: Bug#448890: [Debian-med-packaging] Bug#448890: bioperl recommends packages not in main
Date: Fri, 29 Feb 2008 04:17:27 +0100
[Message part 1 (text/plain, inline)]
On 29/02/2008, Charles Plessy wrote:
> Sorry for the severity ping-pong, but we do not want the package in
> testing yet. Do not hesitate to correct me if I use the wrong way to
> prevent the migration.

That's fine to use an RC bug to prevent the migration, as long as you
document it. One can't guess from:

,----
| # Automatically generated email from bts, devscripts version 2.9.26
| severity 448890 serious
`----

that your goal is to keep the package out of testing… Especially when
using another bugreport that ought to be important.

-- 
Cyril Brulebois
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#448890; Package bioperl. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #38 received at 448890@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: 448890@bugs.debian.org
Cc: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, Luk Claes <luk@debian.org>, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Subject: Re: [Debian-med-packaging] Bug#448890: Bug#448890: bioperl recommends packages not in main
Date: Fri, 29 Feb 2008 08:02:11 +0100 (CET)
On Fri, 29 Feb 2008, Charles Plessy wrote:

> Progress has been made (thanks David !), but there are still a few CPAN
> modules to package. We definitely want this before the freeze.

If there is any lack of man power I would issue a Request For Help
on debian-perl (CCed to Debian-Med in this specific case).

Kind regards

      Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#448890; Package bioperl. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <charles-debian-nospam@plessy.org>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #43 received at 448890@bugs.debian.org (full text, mbox):

From: Charles Plessy <charles-debian-nospam@plessy.org>
To: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 448890@bugs.debian.org
Cc: Luk Claes <luk@debian.org>, control@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#448890: Bug#448890: bioperl recommends packages not in main
Date: Wed, 19 Mar 2008 19:50:46 +0900
tag 448890 pending
thanks

Le Fri, Feb 29, 2008 at 03:46:08AM +0100, Cyril Brulebois a écrit :
> 
> Charles Plessy <charles-debian-nospam@plessy.org> (03/11/2007):
> > Of course, packaging all the missing CPAN modules before the release
> > in on our agenda.
> 
> Any update on this?

Hi all, salut Cyril,

After discussion with the Bioperl Upstream, the priority of most
recommended packages will be downgraded to "Suggests". The only to be
kept in the "Recommends" field will be: libio-string-perl, libwww-perl,
liburi-perl and libxml-writer-perl. Also, it has been confirmed that
notwithstanding its numbering as development release, 1.5.2 is the
de facto stable release of Bioperl. Therefore the next upload will close
this bug and open the way to testing migration for bioperl-1.5.2.

Have a nice day,

-- 
Charles Plessy
http://charles.plessy.org
Wakō, Saitama, Japan




Tags added: pending Request was from Charles Plessy <charles-debian-nospam@plessy.org> to control@bugs.debian.org. (Wed, 19 Mar 2008 10:54:08 GMT) Full text and rfc822 format available.

Reply sent to Charles Plessy <charles-debian-nospam@plessy.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #50 received at 448890-close@bugs.debian.org (full text, mbox):

From: Charles Plessy <charles-debian-nospam@plessy.org>
To: 448890-close@bugs.debian.org
Subject: Bug#448890: fixed in bioperl 1.5.2.102-3
Date: Tue, 08 Apr 2008 13:47:04 +0000
Source: bioperl
Source-Version: 1.5.2.102-3

We believe that the bug you reported is fixed in the latest version of
bioperl, which is due to be installed in the Debian FTP archive:

bioperl_1.5.2.102-3.diff.gz
  to pool/main/b/bioperl/bioperl_1.5.2.102-3.diff.gz
bioperl_1.5.2.102-3.dsc
  to pool/main/b/bioperl/bioperl_1.5.2.102-3.dsc
bioperl_1.5.2.102-3_all.deb
  to pool/main/b/bioperl/bioperl_1.5.2.102-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 448890@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Charles Plessy <charles-debian-nospam@plessy.org> (supplier of updated bioperl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 18 Mar 2008 14:44:57 +0900
Source: bioperl
Binary: bioperl
Architecture: source all
Version: 1.5.2.102-3
Distribution: unstable
Urgency: low
Maintainer: Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Charles Plessy <charles-debian-nospam@plessy.org>
Description: 
 bioperl    - Perl tools for computational molecular biology
Closes: 448890
Changes: 
 bioperl (1.5.2.102-3) unstable; urgency=low
 .
   * debian/control:
     - Removed MIA Matt Hope (dopey) from the Uploaders field.
       Thank you for your work, Matt. I hope you are doing well.
     - Downgraded some recommended package to the 'Suggests' priority,
       according to the following discussion on Upstream's mail list.
       http://bioperl.org/pipermail/bioperl-l/2008-March/027379.html
       (Closes: #448890)
   * debian/copyright converted to machine-readable format.
Files: 
 6888fee0e471cbfc91e7d60ef5891571 1102 science optional bioperl_1.5.2.102-3.dsc
 17843ae461064e48a377813208b3e9f3 8887 science optional bioperl_1.5.2.102-3.diff.gz
 c81bdd89f5463f35747002b8f48d3a81 5814022 science optional bioperl_1.5.2.102-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+3RgAQwuptkwlkQRAqW6AJ9NHfx2J2JSrF6GsB80avl9Fh2CZgCfU15m
3A+KpI115uRHgk+9ynew8VI=
=AgLj
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 May 2008 07:39:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:31:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.